<?php
/* $Id: index.php 62 2010-02-21 09:57:07Z mir $ */
if (! file_exists('config.inc.php')) {
    header("Location: install/install.php");
    exit();
}

include_once 'config.inc.php';

require_once 'user_validate.php';
require_once 'utils/helper.php';

$_SESSION['__ROOT__'] = TOP_FOLDER;

if (PHP_VERSION < 5.1) {
    die("PHP >= 5.1 is required to run this application");
}

valid_user();

if (strtoupper($_SESSION['user_settings']->getUid()) == 'ADMIN' && newUpdates()) {
    $pwd = WEB_ROOT;
    if ($pwd[strlen($pwd)-1] == '/')
        $pwd = substr($pwd, 0, -1);
    
    print '<?xml version="1.0" encoding="utf-8"?>
    <!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
    <html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
        <head>
            <title>Web Calendar</title>
            <link rel="stylesheet" type="text/css"
                href="'.$pwd.'/css/top_level.css" />
            <link rel="shortcut icon"
                href="'.$pwd.'/pixmaps/favicon.ico" />
            <script type="text/javascript">
                function redirect(url) {
                    window.location = url;
                }
            </script>
        </head>
        <body>
            <div id="update_msg">
                <h3 style="text-align: center">
                New updates available for the database
                </h3>
                <div style="text-align: center">
                <button type="button" name="cancel" 
                    onclick="javascript:redirect('."'navigate/goto_today.php'".')">Skip</button>
                <button type="button" value="upgrade"
                    onclick="javascript:redirect('."'utils/upgrade_db.php'".')">Upgrade</button>
                </div>
            </div>
        </body>
    </html>';
}
else
    include 'navigate/goto_today.php';
?>
